package com.ruoyi.invest.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.*;
/**
 * 账户交易记录对象 accounts_deal_record
 *
 * @author tianyongbao
 * @date 2024-03-30
 */
@ApiModel("账户交易记录对象")
@Data
public class AccountsDealRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 名称 */
    @ApiModelProperty(value="名称)")
    @NotNull(message="名称不能为空")
    @Excel(name = "名称")
    private String name;

    /** 类型 */
    @ApiModelProperty(value="类型)")
    @NotNull(message="类型不能为空")
    @Excel(name = "类型")
    private String type;

    /** 账户 */
    private Long accountId;

    /** 转账记录id */
    private Long transferRecordId;


    /** 交易金额 */
    @ApiModelProperty(value="交易金额)")
    @NotNull(message="交易金额不能为空")
    @Excel(name = "交易金额")
    private Double amount;

    /** 交易类型 */
    @ApiModelProperty(value="交易类型)")
    @NotNull(message="交易类型不能为空")
    @Excel(name = "交易类型")
    private String dealType;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 交易类别 */
    @ApiModelProperty(value="交易类别)")
    @NotNull(message="交易类别不能为空")
    @Excel(name = "交易类别")
    private String dealCategory;

    /** 当前余额 */
    @ApiModelProperty(value="当前余额)")
    @NotNull(message="当前余额")
    @Excel(name = "当前余额")
    private Double currentBalance;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("type", getType())
            .append("accountId", getAccountId())
            .append("amount", getAmount())
            .append("dealType", getDealType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .append("dealCategory", getDealCategory())
                .append("transferRecordId", getTransferRecordId())
                .append("currentBalance", getCurrentBalance())
            .toString();
    }
}
